Download



Because of the rapid development we will not release 'stable' versions.
Wegens de snelle ontwikkelingen worden er geen 'stabiele' versies gemaakt.
Wegen der schnellen Entwicklung werden keine 'stabilen' Versionen veröffentlicht.
Compte tenu du développement rapide, nous ne proposons pas de version “stable”.

Snapshots

The latest Snapshot.
De laatste Snapshot.
Der neuste Snapshot.
L'ultimo Snapshot:
Le dernier Snapshot.


Server Packages

Server packages contain all binaries and scripts except for Rocview and SVG symbols.
Server-Pakete enthalten alle Binaries und Scripte mit Ausnahme von Rocview und SVG-Symbolen.
Les paquets du serveur contiennent tous les fichiers binaires et les scripts à l'exception de RocView et des symboles SVG.

Download

Post Install


The Post install script also does the following tasks:

  1. Copy the daemon script to: /etc/init.d/rocraild
  2. Install the service: update-rc.d rocraild defaults

With the service command the Rocrail daemon can be controlled:

sudo service rocraild start
sudo service rocraild stop

Das Post-Installscript erledigt auch diese Aufgaben:

  1. Kopieren des Daemon-Scripts nach: /etc/init.d/rocraild
  2. Installieren des Dienstes: update-rc.d rocraild Standards

Mit dem “service”-Befehl kann der Rocrail-Daemon gesteuert werden:

sudo service rocraild start
sudo service rocraild stop


Le script de post-installation exécute également les tâches suivantes:

  1. Copier le script du daemon sur: /etc/init.d/rocraild
  2. Installer le service: update-rc.d rocraild defaults

Avec le service de commande, le daemon Rocrail peut être controlé:

sudo service rocraild start
sudo service rocraild stop


Raspberry Pi

To install Rocrail on the command line, open a terminal, and use the following commands:

Update Raspbian

sudo apt-get update
sudo apt-get upgrade

Download Rocrail and install

Replace the “xxxxx” with the wanted revision number found here: https://launchpad.net/rocrail/+download

wget https://launchpad.net/rocrail/sunrise/2.0/+download/rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb
sudo dpkg -i rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb

Resolve dependencies

This is needed because the dpkg command only complains but does not resolve.

sudo apt-get install -f

Raspbian Lite

if you need a graphical environment after installing Rocrail, the lxde could be installed:

sudo apt-get install lxde

This needs at least 650MB free disk space and some extra time if the used SD is slow.

Um Rocrail von der Befehlszeile zu installieren, ein Terminal öffnen und die folgenden Befehle verwenden:

Raspbian updaten

sudo apt-get update
sudo apt-get upgrade

Rocrail und Installation herunterladen

“xxxxx” durch die in https://launchpad.net/rocrail/+download zu findende Revisions-Nummer ersetzen.

wget https://launchpad.net/rocrail/sunrise/2.0/+download/rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb
sudo dpkg -i rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb

Abhängigkeiten beheben

This is needed because the dpkg command only complains but does not resolve.

sudo apt-get install -f

Raspbian Lite

Wenn nach der Installation von Rocrail eine grafische Umgebung benötigt wird, kann lxde installiert werden:

sudo apt-get install lxde

Dies benötigt mindestens 650MB freien Platz auf dem Laufwerk und zusätzliche Zeit, wenn die verwendete SD-Karte langsam ist.

Pour installer Rocrail en ligne de commande, ouvrir un terminal, et utiliser les commandes suivantes:

Mise à jour de Raspbian

sudo apt-get update
sudo apt-get upgrade

Télécharger Rocrail et installation

Replacer le “xxxxx” avec le numéro de la révision voulue trouvée ici: https://launchpad.net/rocrail/+download

wget https://launchpad.net/rocrail/sunrise/2.0/+download/rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb
sudo dpkg -i rocrail-xxxxx-linuxarmhf-wx3.0-armhf.deb

Résoudre les dépendances

C'est nécessaire parce que la commande dpkg se plaint, mais ne résout rien.

sudo apt-get install -f

Raspbian Lite

Si vous avez besoin d'un environnement graphique après l'installation de Rocrail, l'environnement lxde peut être installé:

sudo apt-get install lxde

Il nécessite au moins 650MB d'espace disque libre et un peu de temps supplémentaire si la carte SD utilisée est lente.

FAQ

Linux


Q: Rocview does not startup.
A: Install the wxWidgets library. (libwxgtk*)


Frage: Rocview startet nicht.
Antwort: Die wxWidgets-Bibliothek installieren. (libwxgtk*)


Question: Rocrail ne démarre pas.
Réponse: Installer la librairie wxWidgets. (libwxgtk*)


Personal Tools